Class PhusionPassenger::Rails3Extensions::AnalyticsLogging::ExceptionLogger |
In: | lib/phusion_passenger/rails3_extensions/init.rb
Parent: | Object

Methods

- call
- new

Public Class methods
new(app, analytics_logger)

[ show source ]

         # File lib/phusion_passenger/rails3_extensions/init.rb, line 113
    113:                 def initialize(app, analytics_logger)
    114:                         @app = app
    115:                         @analytics_logger = analytics_logger
    116:                 end

Public Instance methods
call(env)

[ show source ]

         # File lib/phusion_passenger/rails3_extensions/init.rb, line 118
    118:                 def call(env)
    119:                         @app.call(env)
    120:                 rescue Exception => e
    121:                         log_analytics_exception(env, e) if env[PASSENGER_TXN_ID]
    122:                         raise e
    123:                 end